[SWS-488] Export-Packages in MANIFEST.MF are not versioned Created: 24/Feb/09  Updated: 04/May/12  Resolved: 13/May/09

Status: Closed
Project: Spring Web Services
Component/s: Core, OXM
Affects Version/s: 1.5.6
Fix Version/s: 1.5.7

Type: Improvement Priority: Major
Reporter: Tor Arne Kvaløy Assignee: Arjen Poutsma
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Reference URL: http://forum.springsource.org/showthread.php?t=67954

 Description   

The Export-Packges in the MANIFEST.MF are not versioned and hence will not work in the Spring DM server.



 Comments   
Comment by Arjen Poutsma [ 25/Mar/09 ]

Did you try to use the bundles from the SpringSource repository (http://www.springsource.com/repository/app/), or bundles obtained from elsewhere?

Comment by Tor Arne Kvaløy [ 26/Mar/09 ]

The one I testet came from maven central repository. For example:

<dependency>
<groupId>org.springframework.ws</groupId>
<artifactId>spring-ws-core-tiger</artifactId>
<version>1.5.6</version>
</dependency>

Comment by Tor Arne Kvaløy [ 26/Mar/09 ]

And by the way, the SpringSource repository is not updated with the 1.5.6 version.

Comment by Arjen Poutsma [ 13/May/09 ]

I will make sure 1.5.7 ends up in the Enterprise Bundle Repository, and also make sure that that version works in DM server.

Comment by Arjen Poutsma [ 04/May/12 ]

Closing old issues

Generated at Thu Dec 14 00:31:16 UTC 2017 using JIRA 6.4.14#64029-sha1:ae256fe0fbb912241490ff1cecfb323ea0905ca5.